%global __jar_repack 0

Name: rhs-hadoop
Version: 2.4.0
# release number is automatically updated when source version is the same
Release: 4%{?dist} 
Requires: sudo attr
License: Apache License
URL: https://forge.gluster.org/hadoop/glusterfs-hadoop
Summary: GlusterFS Hadoop Plug-in
Group: Applications/File

Source0: glusterfs-hadoop-2.4.0.jar
Source1: glusterfs-hadoop-2.4.0-javadoc.jar
Source2: glusterfs-hadoop-2.4.0-sources.jar
Source3: glusterfs-hadoop-2.4.0-patches.zip
Source4: glusterfs-hadoop-2.4.0-scm-sources.zip
Source100: 20_glusterfs_hadoop_sudoers

BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch: noarch

# yes, this is /usr/lib even on 64-bit
%global hadoop_libdir %{_prefix}/lib/hadoop/lib

%description
Hadoop FileSystem support for GlusterFS

%package javadoc
Summary: API documentation for %{name}

%description javadoc
Documentation for the %{summary}

%prep

%build

%install
rm -rf %{buildroot}
/bin/mkdir -p %{buildroot}%{_javadir}
/bin/mkdir -p %{buildroot}%{hadoop_libdir}
/bin/mkdir -p %{buildroot}%{_sysconfdir}/sudoers.d

/usr/bin/install -m 644 %{SOURCE0} %{buildroot}%{_javadir}
/bin/ln -s ../../../..%{_javadir}/glusterfs-hadoop-2.4.0.jar %{buildroot}%{hadoop_libdir}/glusterfs-hadoop-2.4.0.jar
mkdir -p javadoc/glusterfs-hadoop-2.4.0
unzip -d javadoc/glusterfs-hadoop-2.4.0 %{SOURCE1}
/usr/bin/install -m 644 %{SOURCE1} %{buildroot}%{_javadir}
/bin/ln -s ../../../..%{_javadir}/glusterfs-hadoop-2.4.0-javadoc.jar %{buildroot}%{hadoop_libdir}/glusterfs-hadoop-2.4.0-javadoc.jar
/usr/bin/install -m 644 %{SOURCE2} %{buildroot}%{_javadir}
/bin/ln -s ../../../..%{_javadir}/glusterfs-hadoop-2.4.0-sources.jar %{buildroot}%{hadoop_libdir}/glusterfs-hadoop-2.4.0-sources.jar

# move sudoers file to /etc/sudoers.d/
install -m 644 %{SOURCE100} %{buildroot}%{_sysconfdir}/sudoers.d/

%clean
rm -rf %{buildroot}

%files javadoc
%doc javadoc/*
# %doc COPYING

%files
%defattr(-,root,root,-)
%{_javadir}/glusterfs-hadoop-2.4.0.jar
%{hadoop_libdir}/glusterfs-hadoop-2.4.0.jar
%{_javadir}/glusterfs-hadoop-2.4.0-javadoc.jar
%{hadoop_libdir}/glusterfs-hadoop-2.4.0-javadoc.jar
%{_javadir}/glusterfs-hadoop-2.4.0-sources.jar
%{hadoop_libdir}/glusterfs-hadoop-2.4.0-sources.jar
%config %{_sysconfdir}/sudoers.d/20_glusterfs_hadoop_sudoers

%changelog
* Tue Jun 16 2015 bradley childs <bchilds@redhat.com> 2.3.0-4
- Update the build tag.

* Wed May 27 2015 bradley childs <bchilds@redhat.com> 2.3.0-3
- spec change to include dependencies.

* Thu Apr 30 2015 bradley childs <bchilds@redhat.com> 2.3.0-2
- spec change  update to include docs

* Wed Apr 29 2015 bradley childs <bchilds@redhat.com> 2.3.0-1
- Updated Changed getfattr parsing (failsafe), javadocs, timestamp precision

* Thu Mar 05 2015 Shubhendu Tripathi <shtripat@redhat.com> 2.1.6-4
- bz#1094881 Modified to generate javadoc

* Mon Oct 13 2014 Shubhendu Tripathi <shtripat@redhat.com> 2.1.6-3
- bz#1122909 Corrected the product name as GlusterFS instead of
- Red Hat Storage in description

* Thu Oct 09 2014 Shubhendu Tripathi <shtripat@redhat.com> 2.1.6-2
- bz#1122909 corrected the description

* Thu Oct 09 2014 Shubhendu Tripathi <shtripat@redhat.com> 2.1.6-1
- bz#1065417 fixed rpmlint errors and warnings

* Thu Feb 06 2014 Jeff Vance <jvance@redhat.com> 2.1.6
- fix name from "gluster" to "glusterfs-hadoop"
- minor README updates

* Wed Feb 05 2014 Jeff Vance <jvance@redhat.com> 2.1.5-2
- installs the sudoers file. BZ 1059986

* Thu Jan 09 2014 Jay Vyas <jvyas@redhat.com> 2.1.4-1 
- rename to rhs-hadoop for release

* Fri Nov 22 2013 Jay Vyas <jvyas@rehdat.com> 2.1.4
- Initial import into the glusterfs-hadoop plug-in as part of our deployment. 

* Fri May 18 2012 Anthony Towns <atowns@redhat.com> - 0.20.2-0
- Initial build
